Mumble Icon

Low-latency, high quality voice chat for gamers

User Ratings

★★★★★
★★★★
★★★
★★
183
2
3
1
10
ease 1 of 5 2 of 5 3 of 5 4 of 5 5 of 5 4 / 5
features 1 of 5 2 of 5 3 of 5 4 of 5 5 of 5 4 / 5
design 1 of 5 2 of 5 3 of 5 4 of 5 5 of 5 4 / 5
support 1 of 5 2 of 5 3 of 5 4 of 5 5 of 5 4 / 5
Write a Review

User Reviews

  • admiralanime
    1 of 5 2 of 5 3 of 5 4 of 5 5 of 5

    You know, 1.2.2 was working fine for years. Then I install 1.2.4 - my microphone is making strange and extremely annoying noises, and the whole pc freezes. Well done....

    Posted 01/20/2014
  • lezdomin
    1 of 5 2 of 5 3 of 5 4 of 5 5 of 5

    Using Mumble instead of Steam's embeded voice client. Mumble is working perfect!

    Posted 02/13/2013
  • ochenakhan
    1 of 5 2 of 5 3 of 5 4 of 5 5 of 5

    Mumble is extremely secure.

    Posted 02/12/2013
  • bonnbee
    1 of 5 2 of 5 3 of 5 4 of 5 5 of 5

    I am not able to see the video of these tutorials. If I could it is really a good job

    Posted 10/21/2012
  • skyfox909
    1 of 5 2 of 5 3 of 5 4 of 5 5 of 5

    Cant install:( Could you please make a version of this that can install on a limited user account.

    Posted 08/07/2012
  • enikitin79
    1 of 5 2 of 5 3 of 5 4 of 5 5 of 5

    Lightweight and simple chatting tool, but sometimes it crashes and I have to open the desktop (and this crashes the full-screen games sometimes too).

    Posted 07/04/2012
  • geardogar
    1 of 5 2 of 5 3 of 5 4 of 5 5 of 5

    Slow work, need good CPU.

    Posted 05/17/2012
  • oid-3408291
    1 of 5 2 of 5 3 of 5 4 of 5 5 of 5

    Simply shocking. Server software is extremely buggy. Can't add / remove / change channels as a SuperUser. Login names are constricted and painful. Terrible, terrible, terrible software. Going back to TS or Vent.

    Posted 05/29/2011
  • oid-2731931
    1 of 5 2 of 5 3 of 5 4 of 5 5 of 5

    The new version of Mumble 1.2.1 client for OS X hangs on every Mac I install it on when I attempt to go to the audio configuration wizard. I expect better out of a download that is labeled "stable". The murmur server installation docs are wildly out of date as well.

    Posted 01/11/2010
  • oid-2764245
    1 of 5 2 of 5 3 of 5 4 of 5 5 of 5

    Unfortunately, the community is very non-responsive. On older distros (where you don't have a choice to upgrade - such as Fedora Core 7/8), mumble won't compile and the static binaries won't run. Getting an answer from their forums so far has been an entirely fruitless endeavor. If anyone ever responds, I may turn this thumbs down into a thumbs up. I hear nothing but good about it - but I can't get it to work. Makes me feel bad as an administrator with > 10 years experience in production, enterprise-level environments.

    Posted 01/09/2010